Shadow Only doesnt work with EL
Closed, ArchivedPublic


winXP, SP3, 32bit, Blender 2.57 r36200

Shadow Only (with Shadow and Distance selected) shows shadows only without Environment Lighting enabled.
I think it's a bug because it shows the same even with EL set to 0.00 but checked ON.

Just render my .blend and you'll see the problem.

Miika Hamalainen (miikah) added a comment.Via Old WorldApr 19 2011, 7:57 AM

This is a known problem. "Shadow and Distance" is more like pre-2.57 compatibility mode. If I understood correctly, it has behaved like this for years and is not "fixed" to not break old .blend files. So you should try other modes instead.

Moolah Nasreddin (moolah) added a comment.Via Old WorldApr 19 2011, 10:28 AM

Other modes are good but isn't this mode the best? Is it good to lack of functionality due to compability? If this is so impartant (to compability) then can it be possible to make an option like "compability mode" and checked ON by default? So with unchecked it will be giving expected results on "shadow catchers" with EL checked ON.

ronan ducluzeau (zeauro) added a comment.Via Old WorldSep 13 2011, 9:25 PM

If ambient of plane shader is set to 0; render looks like with EL checked OFF.

We can have shadows with EL checked ON.

I don't think a compatibility option is needed. It depends of all scene settings.
In 2.49, ambient of default shader was set to 0.5 and in 2.5X; it is set to 1.

2.5X default settings are better for EL and AO.

Thomas Dinges (dingto) added a comment.Via Old WorldSep 30 2012, 5:23 PM

Moved to the ToDo list:

Thomas Dinges (dingto) closed this task as "Archived".Via Old WorldSep 30 2012, 5:23 PM

Add Comment